org.apache.fop.afp.modca

## Class Registry

- java.lang.Object
- - org.apache.fop.afp.modca.Registry

    public final class Registry
    extends Object

MOD:CA Registry of object types

### Nested Class Summary

Nested Classes
`class` `Registry.ObjectType` Encapsulates a MOD:CA Registry Object Type entry

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Registry` `getInstance()` Returns a single instance of a MO:DCA Registry
`Registry.ObjectType` `getObjectType(String mimeType)` Returns the MOD:CA object type given a mimetype

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static Registry getInstance()

Returns a single instance of a MO:DCA Registry

Returns:
  a single instance of an MO:DCA Registry

#### getObjectType

    public Registry.ObjectType getObjectType(String mimeType)

Returns the MOD:CA object type given a mimetype

Parameters:
  `mimeType` - the object mimetype
Returns:
  the MOD:CA object type